package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillOther;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillOtherMapper extends CommonMapper<WxBillOther, Long> {

	List<WxBillOther> findList(WxBillOther wxBillDaily);

	void updateNotPaidStatus(Map<String, Object> params);

	void updateWaitPayStatus(Map<String, Object> params);

    List<WxBillOther> queryBillList(WxBillOther record);

	Map<String,Object> queryPayInfoTotal(Map<String,Object> params);

	Map<String,Object> queryOweInfo(Map<String,Object> params);
}
